Bug 141724 - The error message window arises before the firstboot set-up.
Summary: The error message window arises before the firstboot set-up.
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: firstboot (Show other bugs)
(Show other bugs)
Version: 4.0
Hardware: ia64 Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Adrian Likins
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-12-03 11:02 UTC by L3support
Modified: 2007-11-30 22:07 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-01-19 10:15:23 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description L3support 2004-12-03 11:02:36 UTC
Description of problem:
The first time I reboot the Itanium machine after the installation of
RHEL4, The pop-up error message window arises before the firstboot set-up.
It seems that this error relates to "firstboot" or "up2date" package.

Version-Release number of selected component (if applicable):
firstboot-1.3.30-1
up2date-4.3.44-2

How reproducible:
always

Steps to Reproduce:
1. Install "RHEL AS v.4 for Itanium beta2"
2. Reboot the machine for the first time
3.
  
Actual results:
The pop-up error message window arises before the firstboot set-up.

Expected results:
I can set up the firstboot with no error.

Additional info:
The error message is as follows.
-----
Traceback (most recent call last):
  File "/usr/share/firstboot/firstbootWindow.py", line 498, in loadModules
    vbox, pix, title = module.launch()
  File "/usr/share/firstboot/modules/rhn_activate_gui.py", line 90, in
launch
    self.setupScreen()
  File "/usr/share/firstboot/modules/rhn_activate_gui.py", line 83, in
setupScre
en
    vbox  = self.activatePagePrepare()
  File "/usr/share/rhn/up2date_client/rhnregGui.py", line 336, in
activatePagePr
epare
    if hostname:
UnboundLocalError: local variable 'hostname' referenced before assignment
-----

Comment 1 Suzanne Hillman 2004-12-17 21:56:33 UTC
Does this still happen if you use the release candidate?

Comment 2 L3support 2004-12-21 08:04:43 UTC
Hi,

I tried RHEL4 AS pre-RC1 for Itanium, 
then I confirmed this error did not happen.
Thanks.

Best regards, 

Comment 3 RHEL4-L3support 2005-01-19 02:09:04 UTC
Add RHEL4-L3support team in Japan

Comment 4 Jay Turner 2005-01-19 10:15:23 UTC
Closing out based on comment 2.


Note You need to log in before you can comment on or make changes to this bug.